ElectroNeek Documentation

Cette page n’est pas encore traduite en français : elle est affichée en anglais.

Launch Workflow

This launches a Workflow. If runner_id is not specified, it launches the Workflow on the first available Bot Runner. If all Bot Runners are busy or offline, the Workflow is put in a queue.


posthttps://api.{region}.electroneek.com/v1/orchestrator/workflow/{id}/launch

Valeurs possibles de {region} : na, cis, apac, latam, emea

Essayer

Envoyé depuis votre navigateur directement à l’API — rien ne transite par ce site, et le token API reste uniquement dans cet onglet.
Paramètres de chemin
Renseignez id pour envoyer cette requête.
cURL
curl --request POST \
  --url 'https://api.na.electroneek.com/v1/orchestrator/workflow/{id}/launch' \
  --header 'Content-Type: application/json' \
  --data '{"payload": {},"runner_id": ""}'

Authentification

Utilisez un token API de la page Orchestrateur → Intégrations. Envoyez-le comme jeton bearer : Authorization: Bearer <token>.

Paramètres de chemin

NomTypeObligatoireDescription
idstringouiWorkflow ID

Corps de la requête

NomTypeObligatoireDescription
payloadobjectnon
runner_idstring · nullablenon

Réponse

201Success
Corps de la réponse
object
launch_idstring
Mis à jour